Summary:	Libbpf library
Summary(pl.UTF-8):	Biblioteka libbpf
Name:		libbpf
Version:	0.4.0
Release:	1
License:	LGPL v2.1 or BSD
Group:		Libraries
#Source0Download: https://github.com/libbpf/libbpf/releases
Source0:	https://github.com/libbpf/libbpf/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	5519ca42fffca50568256061322c64a6
URL:		https://github.com/libbpf/libbpf
BuildRequires:	elfutils-devel
BuildRequires:	linux-libc-headers >= 7:5.4.0
BuildRequires:	pkgconfig
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A mirror of bpf-next Linux tree bpf-next/tools/lib/bpf directory plus
its supporting header files. The version of the package reflects the
version of ABI.

%description -l pl.UTF-8
Kopia lustrzana katalogu bpf-next/tools/lib/bpf ze źródeł Linuksa, z
drzewka bpf-next wraz ze wspierającymi plikami nagłówkowymi. Wersja
pakietu odzwierciedla wersję ABI.

%package devel
Summary:	Development files for libbpf library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libbpf
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	elfutils-devel
Requires:	linux-libc-headers >= 7:5.4.0
Requires:	zlib-devel

%description devel
This package contains header files for developing applications that
use libbpf.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe do tworzenia aplikacji
wykorzystujących libbpf.

%package static
Summary:	Static libbpf library
Summary(pl.UTF-8):	Statyczna biblioteka libbpf
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This package contains static library for developing applications that
use libbpf.

%description static -l pl.UTF-8
Ten pakiet zawiera bibliotekę statyczną do tworzenia aplikacji
wykorzystujących libbpf.

%prep
%setup -q

%build
# use NO_PKG_CONFIG to link with -lelf -lz, not $(pkg-config --libs libelf) which doesn't contain -lz
%{__make} -C src \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} %{rpmcppflags} -fPIC" \
	LDFLAGS="%{rpmldflags}" \
	NO_PKG_CONFIG=1 \
	V=1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C src install \
	DESTDIR=$RPM_BUILD_ROOT \
	LIBSUBDIR=%{_lib}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc LICENSE LICENSE.BSD-2-Clause README.md
%attr(755,root,root) %{_libdir}/libbpf.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libbpf.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libbpf.so
%{_includedir}/bpf
%{_pkgconfigdir}/libbpf.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libbpf.a
%changelog
* Sun Jul 04 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libbpf.git;a=log;h=master

* Sun Jul 04 2021 Jakub Bogusz <qboosh@pld-linux.org> 8df112a
- updated to 0.4.0

* Sat May 08 2021 Jakub Bogusz <qboosh@pld-linux.org> 5758df0
- updated to 0.3

* Thu Dec 17 2020 Jakub Bogusz <qboosh@pld-linux.org> ab31e09
- updated to 0.2

* Fri Oct 16 2020 Jakub Bogusz <qboosh@pld-linux.org> 2d35d38
- updated to 0.1.1

* Sat Aug 22 2020 Jakub Bogusz <qboosh@pld-linux.org> 1930f95
- updated to 0.1.0
- removed obsolete hashmap patch

* Sat Jun 27 2020 Jakub Bogusz <qboosh@pld-linux.org> 7b27c49
- added hashmap patch (fix hashmap on (I)LP32 archs); release 2

* Sun Jun 21 2020 Jakub Bogusz <qboosh@pld-linux.org> 76809d4
- updated to 0.0.9

* Wed May 27 2020 Jakub Bogusz <qboosh@pld-linux.org> a1addb9
- ldconfig

* Wed May 27 2020 Jakub Bogusz <qboosh@pld-linux.org> 85fe402
- new, partially based on Fedora

